package com.twily.twilyapp;

import android.content.ActivityNotFoundException;
import android.content.Intent;
import android.graphics.Bitmap;
import android.net.Uri;
import android.webkit.WebView;
import android.webkit.WebViewClient;
import java.net.URI;

public class customViewClient extends WebViewClient {
	@Override
	public void onPageStarted(WebView view, String url, Bitmap favicon) {
		//mPbar.setVisibility(View.VISIBLE);
	}

	public void onPageFinished(WebView view, String url) {
		//mPbar.setVisibility(View.GONE);
		MainActivity.setDefaultPage(url);
	}

	@Override
	public void onLoadResource(WebView view, String url) {
		super.onLoadResource(view, url);
		if (MainActivity.desktopMode == 1 && MainActivity.injectOnce > 0) {
			MainActivity.pxw = 810;
			if (MainActivity.currentOrient == "landscape") {
				MainActivity.pxw = 1260;
			}
			// og 960 ?
			view.evaluateJavascript("document.querySelector('meta[name=\"viewport\"]').setAttribute('content', 'width="
					+ MainActivity.pxw + "px, initial-scale=' + (document.documentElement.clientWidth / "
					+ MainActivity.pxw + "));", null);

			MainActivity.injectOnce--;
		}
	}

	//@SuppressWarnings("deprecation")
	@Override
	public boolean shouldOverrideUrlLoading(WebView view, String url) {
		//if (url.startsWith("whatsapp://")) {
		Uri uri = Uri.parse(url);
		String path = uri.getPath();
		String host = uri.getHost();

		if (!host.contains("twily.info")) {
			Intent external = new Intent(Intent.ACTION_VIEW, uri);
			//external.setFlags(Intent.FLAG_ACTIVITY_NEW_TASK |Intent.FLAG_ACTIVITY_CLEAR_TASK);
			external.setFlags(Intent.FLAG_ACTIVITY_NEW_TASK);

			try {
				MainActivity.getContext().startActivity(external);
			} catch (ActivityNotFoundException e) {
				// open Whatsapp listing in browser
				//startActivity(new Intent(Intent.ACTION_VIEW, Uri.parse("http://play.google.com/store/apps/details?id=com.whatsapp")));
			}

			return true;
		} else {
			if (path.startsWith("/s/")) {
				String newurl = "https://twily.info/rawfile.php?p=" + path.substring(2);
				//URI newuri = new URI(newurl);
				//Uri newuri = Uri.parse(newurl);

				MainActivity.injectOnce = 10;

				view.loadUrl(newurl);
			} else {
				MainActivity.injectOnce = 10;

				view.loadUrl(url);

			}
			//return true;
		}

		return super.shouldOverrideUrlLoading(view, url);
	}
}